Open Balances Report API
The Open Balances Report displays historical MID balances. It can be accessed in the Merchant Service Center and via the Open Balances API.
The data can be filtered by various criteria and the reports are shown as text-file in csv format (Comma-Separated Values).
Endpoint
Open Balances Report: https://api.paysafecard.com/v1/reports/openbalances/
This integration can not be tested on our test environment.
Open Balances request parameter filters
| Parameter Name | Info | Format |
|---|---|---|
balance_date | Day for the historical balance. (required) | yyyy-MM-dd |
mid | MID for the data. Can be multiple MIDs. If left empty, all MIDs for that API key will be shown. (optional) | 10 digits per MID (example multiple MIDs: ?mid=1000000433&mid=1000000931) |
Open Balances response CSV headers
| Parameter Name | Info | Format |
|---|---|---|
mid | MID for the data. Can be multiple MIDs. If left empty, all MIDs for that API key will be shown. (optional) | 10 digits |
merchantName | Name of the MID | string |
balanceAmount | Amount of the balance. Negative means that Paysafe owes you. | number with 2 digits after comma |
balanceCurrency | Currency of the balance | string, 3 digits (example: EUR) |
balanceDate | Day for the historical balance, Unix epoch milliseconds | number |